# BEGIN SourceDeps(oneline):
BuildRequires: perl(ExtUtils/MakeMaker.pm) perl(IO/Socket/INET.pm) perl(Moose.pm) perl(Moose/Role.pm) perl(Net/RTP/Packet.pm) perl(RTSP/Client.pm) perl(Test/More.pm) perl(Net/Server/PreFork.pm)
# END SourceDeps(oneline)
%define module_version 0.07
%define module_name RTSP-Proxy
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 0.07
Release: alt1
Summary: Simple RTSP proxy server
Group: Development/Perl
License: perl
Url: %CPAN %module_name

Source0: http://cpan.org.ua/authors/id/R/RE/REVMISCHA/%module_name-%module_version.tar.gz
BuildArch: noarch

%description
This module is a simple RTSP proxy based on the Net::Server manpage and the RTSP::Client manpage..
When a client connects and sends commands to the server, it will pass them through the RTSP client and return the results back.

This module will also automatically proxy the media transport protocol as well. Currently it only proxies RTP over UDP, but support for other transports may be added if requested.

This has only been tested with VLC and Axis IP cameras, it may not work with your setup. Patches and feedback welcome.

Note: you will need to be root to bind to port 554, you may drop privs if you wish. See the configuration options in the Net::Server manpage for more details.


%prep
%setup -n %module_name-%module_version

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc README
%perl_vendor_privlib/R*

%changelog
* Mon Oct 07 2013 Igor Vlasenko <viy@altlinux.ru> 0.07-alt1
- initial import by package builder

